发布时间 :2006-05-23 21:02:00
修订时间 :2011-03-07 21:33:09

[原文]Xcode Tools before 2.3 for Mac OS X 10.4, when running the WebObjects plugin, allows remote attackers to access or modify WebObjects projects through a network service.

[CNNVD]Apple Xcode Tools WebObjects 权限许可和访问控制漏洞(CNNVD-200605-426)

        Mac OS X 10.4的Xcode Tools 2.3之前版本在运行WebObjects插件时,可以使远程攻击者通过网络服务访问或修改WebObjects项目。

- CVSS (基础分值)

CVSS分值: 4 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: HIGH [漏洞利用存在特定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:apple:mac_os_x:10.4Apple Mac OS X 10.4

- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(UNKNOWN)  VUPEN  ADV-2006-1950
(UNKNOWN)  XF  xcode-webobjects-unauth-access(26634)
(UNKNOWN)  BID  18091

- 漏洞信息

Apple Xcode Tools WebObjects 权限许可和访问控制漏洞
中危 访问验证错误
2006-05-23 00:00:00 2006-05-24 00:00:00
        Mac OS X 10.4的Xcode Tools 2.3之前版本在运行WebObjects插件时,可以使远程攻击者通过网络服务访问或修改WebObjects项目。

- 公告与补丁

        Apple Xcode Tools 2.2
        Apple xcode_2.3_8m1780_oz693620813.dmg
        Apple Mac OS X 10.4.4
        Apple xcode_2.3_8m1780_oz693620813.dmg
        Apple Mac OS X 10.4.5
        Apple xcode_2.3_8m1780_oz693620813.dmg
        Apple Mac OS X 10.4.6
        Apple xcode_2.3_8m1780_oz693620813.dmg

- 漏洞信息

Apple Mac OS X Xcode Tools WebObjects Plugin Project Manipulation
Remote / Network Access Other
Loss of Integrity
Exploit Unknown

- 漏洞描述

Mac OS X contains a flaw that may allow a malicious user to remotely access objects within a WebObjects project through the WebObjects plugin. The issue is triggered when the included version of Xcode Tools is used, which runs as a network service and allows outside network access. It is possible that the flaw may allow remote access to WebObjects projects resulting in a loss of integrity.

- 时间线

2006-05-19 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 2.3 of Xcode Tools or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

Apple Xcode Tools WebObjects Unauthorized Remote Access Vulnerability
Access Validation Error 18091
Yes No
2006-05-23 12:00:00 2006-05-24 05:23:00
Mike Schrag of mDimension Technology is credited with the discovery of this vulnerability.

- 受影响的程序版本

Apple Xcode 2.2
Apple Mac OS X 10.4.6
Apple Mac OS X 10.4.5
Apple Mac OS X 10.4.4
Apple Mac OS X 10.4.3
Apple Mac OS X 10.4.2
Apple Mac OS X 10.4.1
Apple Mac OS X 10.4
Apple Xcode 2.3

- 不受影响的程序版本

Apple Xcode 2.3

- 漏洞讨论

Xcode Tools is prone to an unauthorized remote access vulnerability through the WebObjects plug-in.

A remote attacker can exploit this issue to manipulate projects through the network service.

This issue affects only those systems with the Xcode Tools WebObjects plug-in installed.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at:

- 解决方案

The vendor has released updates to address this issue.

Apple Xcode 2.2

Apple Mac OS X 10.4.4

Apple Mac OS X 10.4.5

Apple Mac OS X 10.4.6

- 相关参考